//
//  PhotoLibraryViewController.m
//  PhotoLibrary
//
//  Created by Neelam Roy on 9/9/10.
//  Copyright __MyCompanyName__ 2010. All rights reserved.
//

#import "PhotoLibraryViewController.h"
#import <AudioToolbox/AudioServices.h>

@implementation PhotoLibraryViewController
@synthesize openLibrary;

- (void)dealloc {
    [super dealloc];
	[openLibrary release];
}

- (void)viewDidLoad {
    [super viewDidLoad];
}

-(IBAction)openPhotoLibrary:(id)sender
{
	
	UIActionSheet *actionSheet = [[UIActionSheet alloc]
								  initWithTitle:nil
								  delegate:self
								  cancelButtonTitle:@"Cancel"
								  destructiveButtonTitle:@"Photo Library"
								  otherButtonTitles:nil];
	actionSheet.actionSheetStyle = UIBarStyleBlackTranslucent;
	[actionSheet showInView:self.view];
	[actionSheet release];
}

- (void)actionSheet:(UIActionSheet *)actionSheet clickedButtonAtIndex:(NSInteger)buttonIndex
{

	if (buttonIndex == 0)
	{
		NSLog(@"ok One");
		
		UIImagePickerController * picker = [[UIImagePickerController alloc] init];
		picker.delegate = self;
		picker.sourceType = UIImagePickerControllerSourceTypeSavedPhotosAlbum;
		[self presentModalViewController:picker animated:YES];
		[picker release]; 
		
	}
	
	if (!(buttonIndex == [actionSheet cancelButtonIndex])) {
		NSString *msg = nil;
		
		[msg release];
	}
}

- (void)didReceiveMemoryWarning {
	 [super didReceiveMemoryWarning];
}

- (void)viewDidUnload {
}


@end
